Psychopy not starting

Hi,
We have installed and used standalone psychopy in the PC successfully. PC crashed and psychopy wasn’t starting anymore so I uninstalled and reinstalled.
I restarted the PC while psychopy was on so I guess that crashed Psychopy.

Psychopy doesn’t start at all anymore.
I tried this troubleshooting.

C:\Users\User>“C:\Program Files\PsychoPy\python.exe” -m psychopy.app.psychopyApp
Traceback (most recent call last):
File “C:\Program Files\PsychoPy\lib\runpy.py”, line 183, in _run_module_as_main
mod_name, mod_spec, code = _get_module_details(mod_name, Error)
File “C:\Program Files\PsychoPy\lib\runpy.py”, line 109, in get_module_details
import(pkg_name)
File "C:\Program Files\PsychoPy\lib\site-packages\psychopy_init
.py", line 44, in
from psychopy.preferences import prefs
File "C:\Program Files\PsychoPy\lib\site-packages\psychopy\preferences_init
.py", line 14, in
from . import preferences as prefsLib
File “C:\Program Files\PsychoPy\lib\site-packages\psychopy\preferences\preferences.py”, line 293, in
prefs = Preferences()
File “C:\Program Files\PsychoPy\lib\site-packages\psychopy\preferences\preferences.py”, line 68, in init
self.loadAll()
File “C:\Program Files\PsychoPy\lib\site-packages\psychopy\preferences\preferences.py”, line 197, in loadAll
self.appDataCfg = self.loadAppData()
File “C:\Program Files\PsychoPy\lib\site-packages\psychopy\preferences\preferences.py”, line 250, in loadAppData
encoding=‘UTF8’, configspec=appDataSpec)
File “C:\Program Files\PsychoPy\lib\site-packages\configobj.py”, line 1229, in init
self._load(infile, configspec)
File “C:\Program Files\PsychoPy\lib\site-packages\configobj.py”, line 1318, in _load
raise error
configobj.ParseError: Invalid line

Could anyone give any advice? Thanks.

It worked by deleting AppData folder.

2 Likes

This worked for me too.

Hello,
I have just installed PsychoPy on my Mac, but it won’t open. I get the following message with instructions to forward the error message to the developers. Many thanks, Libby

Traceback (most recent call last):
File “/Applications/PsychoPy.app/Contents/Resources/lib/python3.6/pyglet/init.py”, line 378, in getattr
AttributeError: ‘NoneType’ object has no attribute ‘_create_shadow_window’

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/Applications/PsychoPy.app/Contents/Resources/boot.py”, line 498, in
File “/Applications/PsychoPy.app/Contents/Resources/boot.py”, line 476, in _run
File “/Applications/PsychoPy.app/Contents/Resources/psychopyApp.py”, line 104, in
File “/Applications/PsychoPy.app/Contents/Resources/psychopyApp.py”, line 100, in main
File “/Applications/PsychoPy.app/Contents/Resources/psychopyApp.py”, line 28, in start_app
File “/Applications/PsychoPy.app/Contents/Resources/lib/python3.6/psychopy/app/_psychopyApp.py”, line 226, in init
File “/Applications/PsychoPy.app/Contents/Resources/lib/python3.6/psychopy/app/_psychopyApp.py”, line 262, in onInit
File “/Applications/PsychoPy.app/Contents/Resources/lib/python3.6/psychopy/app/builder/init.py”, line 7, in
File “/Applications/PsychoPy.app/Contents/Resources/lib/python3.6/psychopy/app/builder/builder.py”, line 46, in
File “/Applications/PsychoPy.app/Contents/Resources/lib/python3.6/psychopy/app/builder/dialogs/init.py”, line 27, in
File “/Applications/PsychoPy.app/Contents/Resources/lib/python3.6/psychopy/app/builder/validators.py”, line 27, in
File “/Applications/PsychoPy.app/Contents/Resources/lib/python3.6/pyglet/window/init.py”, line 1896, in
File “/Applications/PsychoPy.app/Contents/Resources/lib/python3.6/pyglet/init.py”, line 384, in getattr
File “/Applications/PsychoPy.app/Contents/Resources/lib/python3.6/pyglet/gl/init.py”, line 100, in
File “/Applications/PsychoPy.app/Contents/Resources/lib/python3.6/pyglet/gl/lib.py”, line 141, in
File “/Applications/PsychoPy.app/Contents/Resources/lib/python3.6/pyglet/gl/lib_agl.py”, line 49, in
File “/Applications/PsychoPy.app/Contents/Resources/lib/python3.6/pyglet/lib.py”, line 118, in load_library
File “/Applications/PsychoPy.app/Contents/Resources/lib/python3.6/pyglet/lib.py”, line 286, in load_framework
ImportError: Can’t find framework /System/Library/Frameworks/OpenGL.framework.